language: cn
model_unique_abbr: FillDepressions_whiteboxtools
version: 1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 填洼（填平）
  semantic: pit_removing
  description: 填洼算法是一种调整洼地区域高程值，使模拟过程中洼地内水流能顺畅向低处流动的算法。
  category_application: 诊断型
  category_data:
  - DEM数据
  keywords:
  - 地形分析
  - 水文分析
parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false
    name: 计算方式
    description: 对输入数据进行计算的方式
    is_required: false
    data_type: str
    data_semantic: operation mode
    specification:
      default: FillDepressions
  - arg_name: i
    param_type: input_data
    name: 输入数据
    description: 输入栅格 DEM 文件
    data_type: geotiff
    data_semantic: dem
  - arg_name: fix_flats
    is_single_en_dash: false
    param_type: param
    name: 修整平面
    description: 平面区域是否应用小梯度。
    is_required: false
    data_type: bool
    data_semantic: fix flats
    specification:
      default: "true"
  - arg_name: flat_increment
    is_single_en_dash: false
    param_type: param
    name: 平整区域增量
    description: 应用于平整区域的可选高程增量
    is_required: false
    data_type: float
    data_semantic: flat_increment
    specification:
      range:
      - "(0,)"
  - arg_name: max_depth
    is_single_en_dash: false
    param_type: param
    name: 最大深度
    description: 可选最大凹陷深度填充。
    is_required: false
    data_type: float
    data_semantic: max_depth
    specification:
      range:
      - "(0,)"
  - arg_name: o
    param_type: output_data
    name: 输出数据
    description: 输出栅格文件。
    data_type: geotiff
    data_semantic: filled_dem_data
application:
  domain: 水文分析数据预处理
  objective: 通常可用于填充数字高程模型 （DEM） 中的所有洼地并处理平整区域。
  dimension:
  - 二维
  mechanism: 首先识别单像元凹坑（即没有较低相邻像元的内部网格像元）来运行。然后从最高到最低访问每个坑单元，并启动优先区域生长操作。确定了从坑像元开始并根据洪水顺序生长的单调增加高程区域。一旦先前未访问过且海拔低于其发现邻居细胞的像元被识别，发现邻居被标记为出口（溢出点），并记录出口高程。然后，该算法回填标记的区域，将输出DEM中的高程提高到出口的高程。一旦每个凹坑像元完成此过程（注意嵌套的凹坑像元通常由先前的凹坑解决），填充坑的平坦区域将被选择性地处理与远离出口的小斜率梯度（注意，每个凹陷可能存在多个出口单元）。
operation:
  usage: 用户必须指定输入 DEM 文件的名称、输出填洼的 DEM 文件 ，可选参数为修整平面、平整区域增量和最大深度。
  exec_example:
  - docker run --rm -it -v D:\whitebox_tools\test_data\:/data whitebox_tools:1.1 -r=FillDepressions -i=/data/example_3857.tif -o=/data/FillDepressions_out.tif
  license:
  - MIT
  tips: 用户可以选择指定用于求解平整的高程增量的大小，尽管最好不要指定此可选值，而是让算法自己确定最合适的值。此外，此模型不会填充 DEM 中的 NoData 区域。建议在应用之前处理此类区域。
technique:
  language:
  - Rust
  os:
  - Linux
  - Windows
source:
  maintainer: Haotian Zhang
  organization: Wuhan University
  contact: 1049662535@qq.com
  repository: https://github.com/jblindsay/whitebox-tools
  integrated_softwares:
  - name: whitebox_tools
    version: 2.1
    license: MIT
  references:
  - "Planchon, O., Darboux, F. 2002. A fast, simple and versatile algorithm to fill the depressions of digital elevation models. Catena, 46(2-3):159–176."
  - https://www.whiteboxgeo.com/manual/wbt_book/available_tools/hydrological_analysis.html?highlight=FillDepressions#filldepressions
